<?php
/**
 *
 * 插件管理设置
 *
 * @package    WBOLT
 * @author     WBOLT
 * @since      2.1.4
 * @license    GPL-2.0+
 * @copyright  Copyright (c) 2019, WBOLT
 */

class BSL_Admin
{
    public static $name = 'bsl_pack';
    public static $optionName = 'bsl_option';

    public static $debug = false;

    public function __construct(){
        //插件设置连接

    }

    public static function init(){



        add_action('wp_head',array(__CLASS__,'wp_head'));
        add_action('wp_ajax_wb_baidu_push_url_font',array(__CLASS__,'wb_baidu_push_url_font'));
        add_action('wp_ajax_nopriv_wb_baidu_push_url_font',array(__CLASS__,'wb_baidu_push_url_font'));

        if(is_admin()){

            register_activation_hook(BSL_BASE_FILE, array(__CLASS__,'plugin_activate'));
            register_deactivation_hook(BSL_BASE_FILE, array(__CLASS__,'plugin_deactivate'));

            add_action( 'admin_menu', array(__CLASS__,'admin_menu') );
            add_filter( 'plugin_action_links', array(__CLASS__,'actionLinks'), 10, 2 );
            add_action( 'admin_init', array(__CLASS__,'admin_init') );

            add_action('admin_enqueue_scripts',array(__CLASS__,'admin_enqueue_scripts'),1);

            add_filter('plugin_row_meta', array(__CLASS__, 'plugin_row_meta'), 10, 2);

            add_action('parse_query',array(__CLASS__,'admin_parse_query'));
            add_filter('post_row_actions',array(__CLASS__,'post_row_actions'),99,2);
            add_action('restrict_manage_posts', array(__CLASS__,'restrict_manage_posts'), 10, 2);

            add_action('wp_ajax_wb_baidu_push_url',array(__CLASS__,'wp_ajax_wb_baidu_push_url'));



        }


        WB_BSL_Site::init();

        WB_BSL_App::init();

        WB_BSL_Cron::init();


        if(is_admin() && !get_option('bsl_version')){


            self::upgrade_v3();
            update_option('bsl_version',BSL_VERSION);
        }

    }

    public static function plugin_activate(){

    }

    public static function plugin_deactivate(){

    }


    /**
     * 获取推送数据结果
     */
    public static function wp_ajax_wb_baidu_push_url(){

        global $wpdb;

        switch ($_REQUEST['do']){

            case 'cron':
                do_action('baidu_push_url_cron_action_v3');
                echo 'success';
                exit();
                break;


            case 'check_baidu':
                $post = get_post(intval($_GET['post_id']));
                $url = get_permalink($post);
                $ret = WB_BSL_Baidu::baidu_query($url,$post->post_title);

                if($ret){
                    WB_BSL_Utils::update_meta_row($post->ID,'url_in_baidu','1');
                    WB_BSL_Utils::delete_post_meta($post->ID,'url_in_baidu_ymd');
                    echo '已收录';
                }else{
                    WB_BSL_Utils::delete_post_meta($post->ID,'url_in_baidu');
                    WB_BSL_Utils::update_meta_row($post->ID,'url_in_baidu_ymd',current_time('Ymd'));
                    echo '未收录';
                }
                exit();
                break;
            case 'check_sitemap':
                $ret = array('code'=>0,'desc'=>'success');

                $site_map = home_url('/sitemap.xml');
                $site_map_exists = '';
                $http = wp_remote_head($site_map);
                //print_r($http);

                if(wp_remote_retrieve_response_code($http) === 200){
                    $site_map_exists = $site_map;
                }
                if(!$site_map_exists){
                    $site_map = home_url('/sitemaps.xml');
                    $http = wp_remote_head($site_map);
                    if(wp_remote_retrieve_response_code($http) === 200){
                        $site_map_exists = $site_map;
                    }

                }
                if(!$site_map_exists){
                    $site_map = home_url('/sitemap_index.xml');
                    $http = wp_remote_head($site_map);
                    if(wp_remote_retrieve_response_code($http) === 200){
                        $site_map_exists = $site_map;
                    }

                }
                if(!$site_map_exists){
                    $ret['code'] = 1;
                    $ret['desc'] = '404';
                }else{
                    $ret['desc'] = '200';
                    $ret['data'] = $site_map_exists;
                }

                header('content-type:text/json;');

                echo json_encode($ret);

                exit();

                break;
            case 'check_token':

                $ret = array('code'=>0,'desc'=>'success');


                do{
                    $token = trim($_POST['token']);
                    $resp = WB_BSL_Baidu::pc_push(array(home_url()),1,$token);

                    if($resp['code']){
                        $ret['code'] = $resp['code'];
                        $ret['desc'] = $resp['desc'];
                        //update_option('bpu-token-check',0,false);
                        break;
                    }
                }while(false);



                header('content-type:text/json;');

                echo json_encode($ret);

                exit();

                break;
            case 'push_log':
                $type = 1;
                if(isset($_GET['type'])){
                    $type = intval($_GET['type']);
                }
                $num = 10;
                if(isset($_GET['num']) && $_GET['num']){
                    $num = intval($_GET['num']);
                    $num = $num?$num:10;
                }
                $offset = 0;
                if(isset($_GET['offset']) && $_GET['offset']){
                    $offset = absint($_GET['offset']);
                }


                $list = WB_BSL_Stats::push_log($type,$num,$offset);
                header('content-type:text/json;');

                echo json_encode(array('code'=>0,'data'=>$list));
                break;
            case 'index_stat':
                $day = 7;
                if(isset($_GET['day']) && $_GET['day']==30){
                    $day = 30;
                }
                $ret = WB_BSL_Stats::index_data($day);
                $data = array(array_values($ret['all_in']),array_values($ret['new_in']),array_values($ret['not_in']));

                header('content-type:text/json;');

                echo json_encode(array('code'=>0,'data'=>$data));

                //exit();

                break;

            case 'push_stat':

                $day = 7;
                if(isset($_GET['day']) && $_GET['day']==30){
                    $day = 30;
                }
                $ret = WB_BSL_Stats::pc_stat_data($day);

                header('content-type:text/json;');

                echo json_encode(array('code'=>0,'data'=>$ret));

                //exit();
                break;

            case 'day_push_stat':

                $day = 7;
                if(isset($_GET['day']) && $_GET['day']==30){
                    $day = 30;
                }

                $ret = WB_BSL_Stats::day_push_data($day);


                header('content-type:text/json;');

                echo json_encode(array('code'=>0,'data'=>$ret));

                //exit();

                break;



            case 'week_push_stat':
                $day = 7;
                if(isset($_GET['day']) && $_GET['day']==30){
                    $day = 30;
                }
                $ret = WB_BSL_Stats::week_push_data($day);


                header('content-type:text/json;');

                echo json_encode(array('code'=>0,'data'=>$ret));

                //exit();
                break;

            case 'update_conf':
                $ret = false;
                $err = 'default';
                if(get_option('wb_bsl_ver',0)){
                    $ret = WB_BSL_Conf::upgrade_v3_conf($err);
                }
                header('content-type:text/json;');

                echo json_encode(array('code'=>$ret?0:1,'data'=>$ret?'success':$err));

                break;
            case 'upgrade_v3':


                self::upgrade_v3();;

                header('content-type:text/json;');

                echo json_encode(array('code'=>0,'data'=>'success'));



                break;

            case 'verify':
                if(!wp_verify_nonce($_POST['_ajax_nonce'], 'wp_ajax_wb_baidu_push_url')){

                    echo json_encode(array('code'=>1,'data'=>'非法操作'));
                    exit(0);
                }
                if(!current_user_can('manage_options')){
                    echo json_encode(array('code'=>1,'data'=>'没有权限'));
                    exit(0);
                }

                $param = array(
                    'code'=>sanitize_text_field(trim($_POST['key'])),
                    'host'=>sanitize_text_field(trim($_POST['host'])),
                    'ver'=>'bsl-pro',
                );
                $err = '';
                do{
                    $http = wp_remote_post('https://www.wbolt.com/wb-api/v1/verify',array('sslverify'=>false,'body'=>$param));
                    if(is_wp_error($http)){
                        $err = '校验失败，请稍后再试（错误代码001['.$http->get_error_message().'])';
                        break;
                    }

                    if($http['response']['code']!=200){
                        $err = '校验失败，请稍后再试（错误代码001['.$http['response']['code'].'])';
                        break;
                    }

                    $body = $http['body'];

                    if(empty($body)){
                        $err = '发生异常错误，联系<a href="https://www.wbolt.com/member?act=enquire" target="_blank">技术支持</a>（错误代码 010）';
                        break;
                    }

                    $data = json_decode($body,true);

                    if(empty($data)){
                        $err = '发生异常错误，联系<a href="https://www.wbolt.com/member?act=enquire" target="_blank">技术支持</a>（错误代码011）';
                        break;
                    }
                    if(empty($data['data'])){
                        $err = '校验失败，请稍后再试（错误代码004)';
                        break;
                    }
                    if($data['code']){
                        $err_code = $data['data'];
                        switch ($err_code){
                            case 100:
                            case 101:
                            case 102:
                            case 103:
                                $err = '插件配置参数错误，联系<a href="https://www.wbolt.com/member?act=enquire" target="_blank">技术支持</a>（错误代码'.$err_code.'）';
                                break;
                            case 200:
                                $err = '输入key无效，请输入正确key（错误代码200）';
                                break;
                            case 201:
                                $err = 'key使用次数超出限制范围（错误代码201）';
                                break;
                            case 202:
                            case 203:
                            case 204:
                                $err = '校验服务器异常，联系<a href="https://www.wbolt.com/member?act=enquire" target="_blank">技术支持</a>（错误代码'.$err_code.'）';
                                break;
                            default:
                                $err = '发生异常错误，联系<a href="https://www.wbolt.com/member?act=enquire" target="_blank">技术支持</a>（错误代码'.$err_code.'）';
                        }

                        break;
                    }

                    update_option('wb_bsl_ver',$data['v'],false);
                    update_option('wb_bsl_cnf_'.$data['v'],$data['data'],false);


                    echo json_encode(array('code'=>0,'data'=>'success'));
                    exit(0);
                }while(false);
                echo json_encode(array('code'=>1,'data'=>$err));
                //exit(0);
                break;
            case 'options':
                if(!current_user_can('manage_options') || !wp_verify_nonce($_GET['_ajax_nonce'], 'wp_ajax_wb_baidu_push_url')){
                    echo json_encode(array('o'=>''));
                    exit(0);
                }

                $ver = get_option('wb_bsl_ver',0);
                $cnf = '';
                if($ver){
                    $cnf = get_option('wb_bsl_cnf_'.$ver,'');
                }
                $list = array('o'=>$cnf);
                header('content-type:text/json;charset=utf-8');
                echo json_encode($list);
                //exit();
                break;


        }

        exit();


    }

    public static function wb_baidu_push_url_font(){
        switch ($_REQUEST['do']){
            case 'bd_check':

                header('content-type:text/javascript;charset=utf-8');

                if(!wp_verify_nonce($_GET['_ajax_nonce'], 'wb_baidu_push_url_font')){
                    exit(0);
                }

                self::bd_check(intval($_GET['id']));

                exit(0);
                break;
        }


    }




    public static function admin_menu(){
        global $wb_settings_page_hook_bdsl;
        $wb_settings_page_hook_bdsl = add_options_page(
            '百度搜索推送管理设置',
            '百度搜索推送管理',
            'manage_options',
            'bsl_pack',
            array(__CLASS__,'admin_settings')
        );
    }

    public static function admin_settings(){
        $setting_field = WB_BSL_Conf::$optionName;
        $opt_name = WB_BSL_Conf::$optionName;
        $op_sets = WB_BSL_Conf::cnf(null);//get_option( $opt_name );
        $token_valid = get_option('bpu-token-check',0);
        if(!$token_valid && $op_sets['token']){
            //self::testToken();
        }
        $opt = $op_sets;
        $wb_ajax_nonce = wp_create_nonce('wp_ajax_wb_baidu_push_url');
        $in_line_js = "var _wb_bsl_ajax_nonce = '$wb_ajax_nonce';";
        $in_line_js .= "var pd_code = '".self::$optionName."';";
        //var bsl_cnf = {app_active:1,pc_active:0,in_bd_active:1};

        $op_sets['cnf'] = array('wb'=>array());
        $in_line_js .= 'var bsl_cnf='.json_encode($op_sets).';';
//        $in_line_js .= 'var _log_push='.json_encode( $this->push_result_list(50)).';';

        $row = WB_BSL_Stats::day_index();
        $data = array(
            array('name'=>'收录总数','value'=>$row->all_in),
            array('name'=>'当天收录','value'=>$row->day_in),
            array('name'=>'最近7天收录','value'=>$row->week_in),
        );
        $in_line_js .= 'var base_overview = '.json_encode($data).';';




        wp_add_inline_script('bsl-setting-js',$in_line_js,'before');

        include  BSL_PATH.'/settings.php';
    }



    public static function actionLinks( $links, $file ) {

        if ( $file != plugin_basename(BSL_BASE_FILE) )
            return $links;

        $settings_link = '<a href="'.menu_page_url( WB_BSL_Conf::$name, false ).'">设置</a>';

        array_unshift( $links, $settings_link );

        return $links;
    }

    public static function admin_init(){
        register_setting(  WB_BSL_Conf::$optionName,WB_BSL_Conf::$optionName );
    }


    public static function admin_enqueue_scripts($hook){
        global $wb_settings_page_hook_bdsl;
        if($wb_settings_page_hook_bdsl != $hook) return;

        $dir_url = plugin_dir_url(BSL_BASE_FILE);
        wp_enqueue_style('wbs-style-bdsl', $dir_url . 'assets/wb_plugins_bdsl.css', array(),BSL_VERSION);
	    wp_enqueue_script('bsl-setting-js', $dir_url . 'assets/bsl_setting.js', array(), BSL_VERSION, true);
    }


    public static function plugin_row_meta($links,$file){

        $base = plugin_basename(BSL_BASE_FILE);
        if($file == $base) {
            $links[] = '<a href="https://www.wbolt.com/plugins/bsl?utm_source=bsl_setting&utm_medium=link&utm_campaign=plugins_list" target="_blank">插件主页</a>';
            $links[] = '<a href="https://www.wbolt.com/bsl-plugin-documentation.html?utm_source=bsl_setting&utm_medium=link&utm_campaign=plugins_list" target="_blank">FAQ</a>';
            $links[] = '<a href="https://wordpress.org/support/plugin/baidu-submit-link/" target="_blank">反馈</a>';
        }
        return $links;
    }

    public static function restrict_manage_posts($post_type, $which){
        if(current_user_can('administrator') && get_option('wb_bsl_ver',0)) {

            echo '<select name="in_bd"><option value="">百度收录情况</option>';
            foreach (array(1=>'未收录',2=>'已收录') as $k=>$v) {
                $sec = isset($_GET['in_bd']) && $_GET['in_bd'] == $k;
                echo '<option value="' . $k . '" ' . ($sec ? 'selected' : '') . '>' . $v . '</option>';
            }
            echo '</select>';

        }
    }

    public static function post_row_actions($actions, $post){
        if(current_user_can('administrator') && $post->post_status=='publish' && get_option('wb_bsl_ver',0)){
            if(get_post_meta($post->ID,'url_in_baidu',true)){
                $action_url = 'https://www.baidu.com/s?ie=utf-8&f=8&rsv_bp=1&ch=&tn=baiduerr&bar=&wd='.urlencode(get_permalink($post));
                $action_name = '百度已收录';
            }else{
                $action_url = 'https://ziyuan.baidu.com/linksubmit/url?sitename='.urlencode(get_permalink($post));
                $action_name = '<span style="color:#f00">百度未收录</span>';
            }

            $actions['post_in_baidu'] = '<a class="post_in_baidu" target="_blank" href="'.$action_url.'" >'.$action_name.'</a>';
            $actions['post_check_baidu'] = '<a class="post_check_baidu" onclick="jQuery.post(this.href,{},function(ret){alert(ret);});return false;" href="'.admin_url('admin-ajax.php').'?action=wb_baidu_push_url&do=check_baidu&post_id='.$post->ID.'" >检测百度</a>';
        }
        return $actions;
    }

    public static function admin_parse_query($obj){
        global $wpdb, $current_user;
        if (is_admin()) {

            if ($current_user && $current_user->has_cap('administrator') && isset($_GET['in_bd']) && $_GET['in_bd'] && get_option('wb_bsl_ver',0)) {

                if($_GET['in_bd'] == 2){
                    $obj->query_vars['meta_key'] = 'url_in_baidu';
                    $obj->query_vars['meta_value'] = '1';
                }else if($_GET['in_bd']) {
                    $obj->query_vars['meta_query'] = array('relation'=>'AND',array('key'=>'url_in_baidu','compare'=>'NOT EXISTS'));
                }
            }
            return;
        }
    }


    //主动检测功能
    public static function wp_head(){
        if(!is_single()){
            return;
        }
        $app_active = WB_BSL_Conf::cnf('app_active');
        if(!$app_active){
            return;
        }

        $post_id = get_the_ID();
        if(!$post_id){
            return;
        }

        $ymd = current_time('Ymd');
        $in_bd = get_post_meta($post_id,'url_in_baidu',true);
        if($in_bd){
           return;
        }
        $chk_ymd = get_post_meta($post_id,'url_in_baidu_ymd',true);
        if(!$chk_ymd || $chk_ymd != $ymd){

            $_ajax_nonce = wp_create_nonce('wb_baidu_push_url_font');
            wp_enqueue_script('bsl_post_bd_check',admin_url('admin-ajax.php?action=wb_baidu_push_url_font&do=bd_check&_ajax_nonce='.$_ajax_nonce.'&id='.$post_id ),'','',true);
        }

    }

    public static function bd_check($post_id){

        $ymd = current_time('Ymd');
        $in_bd = get_post_meta($post_id,'url_in_baidu',true);
        if($in_bd){
            return;
        }

        $chk_ymd = get_post_meta($post_id,'url_in_baidu_ymd',true);
        if($chk_ymd && $chk_ymd == $ymd){
            return;
        }

        $post = get_post($post_id);


        if(!$post || $post->post_status != 'publish'){
            return;
        }

        $url = get_permalink($post);


        $ret = WB_BSL_Baidu::baidu_query($url,$post->post_title);

        if($ret){
            WB_BSL_Utils::update_meta_row($post_id,'url_in_baidu','1');
            WB_BSL_Utils::delete_post_meta($post_id,'url_in_baidu_ymd');
        }else{
            WB_BSL_Utils::update_meta_row($post_id,'url_in_baidu_ymd',$ymd);
        }


    }


    public function push_result_list($num=50){


        global $wpdb;

        if(!$num){
            $num = 50;
        }

        return $wpdb->get_results("SELECT * FROM $wpdb->postmeta WHERE meta_key='bpu' ORDER BY meta_id DESC limit $num");


    }



    public static function baidu_push_log($post_id){
        global $wpdb;
        $ymd = current_time('Ymd');
        foreach($post_id as $id){
            $val = '3|'.$ymd;
            $wpdb->query("INSERT INTO $wpdb->postmeta(post_id,meta_key,meta_value) VALUES($id,'bd_bf','$val')");
        }
    }


    /**
     * token检验
     * @return int
     */
    public static function testToken(){

        $resp = WB_BSL_Baidu::pc_push(array(home_url()),1);

        if($resp['code']){
            update_option('baidu_push_url_last_error',$resp,false);
            update_option('bpu-token-check',0,false);
            return 0;
        }else{
            update_option('bpu-token-check',1,false);
            return 1;
        }
    }


    public static function upgrade_v3(){
        global $wpdb;


        //ini_set('memory_limit','64M');
        //set_time_limit(0);
        //数据表
        WB_BSL_Conf::setup_db();

        WB_BSL_Site::upgrade_v3_data();


        if(get_option('wb_bsl_ver',0)){
            WB_BSL_Stats::upgrade_v3_data();

            WB_BSL_App::upgrade_v3_data();

            WB_BSL_Conf::upgrade_v3_conf();
        }
    }

}