<?php


/**
 * 百度接口类
 * Class WB_BSL_Baidu
 */

class WB_BSL_Baidu
{




    public static function scrapy_index($site=null,$from=0,$to=0){


        $siteurl = get_option('siteurl');
        if(!$siteurl){
            $siteurl = home_url();
        }

        $host = parse_url($siteurl,PHP_URL_HOST);

        $defaults = array(
            'timeout' => 3,
            'redirection' => 3,
            'user-agent' => 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/57.0.2987.133 Safari/537.36',
            'sslverify' => FALSE,
        );
        $search_url2 = null;

        $api_url = 'https://www.baidu.com/s?q1=&q2=&q3=&q4=&gpc=stf&ft=&q5=&q6='.$host.'&tn=baiduadv';
        if($from && $to){
            $api_url = 'https://www.baidu.com/s?q1=&q2=&q3=&q4=&gpc=stf%3D'.$from.'.857%2C'.$to.'.857%7Cstftype%3D1&ft=&q5=&q6='.$host.'&tn=baiduadv';
        }


        $num = 0;
        do{

            $http = wp_remote_get($api_url,$defaults);
            if(is_wp_error($http)){
                $num = -1;
                break;
            }
            if(200 !== wp_remote_retrieve_response_code($http)){

                $num = -1;
                break;
            }
            $body = wp_remote_retrieve_body($http);
            if(preg_match('#<title>百度安全验证</title>#is',$body)){
                $num = -1;
                break;
            }


            if(preg_match('#没有找到#is',$http['body'])){
                $num = 0;
                break;
            }
            if(preg_match('#找到相关结果数约([\d,]+)#is',$http['body'],$match)){
                $num = intval(preg_replace('#[^\d]*#','',$match[1]));
                break;
            }
            if(preg_match('#找到相关结果约([\d,]+)#is',$http['body'],$match)){
                $num = intval(preg_replace('#[^\d]*#','',$match[1]));
                break;
            }

        }while(false);


        return $num;





    }



    public static function baidu_query($url,$post_title,$in_cron = false){


        $siteurl = get_option('siteurl');
        if(!$siteurl){
            $siteurl = home_url();
        }

        $host = parse_url($siteurl,PHP_URL_HOST);

        $defaults = array(
            'timeout' => 3,
            'redirection' => 3,
            'user-agent' => 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/57.0.2987.133 Safari/537.36',
            'sslverify' => FALSE,
        );
        $search_url2 = null;

        if($host && $post_title){
            $post_title = mb_substr($post_title,0,20);

            $search_url = 'https://www.baidu.com/s?q1=&q2='.urlencode($post_title).'&q3=&q4=&gpc=stf&ft=&q5=1&q6='.$host.'&tn=baiduadv';
            $search_url2 = 'http://www.baidu.com/s?ie=utf-8&f=8&rsv_bp=1&ch=&tn=baiduerr&bar=&wd='.urlencode($url);
        }else{
            $search_url = 'http://www.baidu.com/s?ie=utf-8&f=8&rsv_bp=1&ch=&tn=baiduerr&bar=&wd='.urlencode($url);
        }

        do{

            $http = wp_remote_get($search_url,$defaults);

            if(200 == $http['response']['code'] && preg_match('#<title>百度安全验证</title>#is',$http['body'])){
                break;
            }

            if(!is_wp_error($http) && 200 == $http['response']['code'] && !preg_match('#没有找到#is',$http['body'])){
                return true;
            }
        }while(false);

        if($search_url2 && !$in_cron){

            sleep(1);
            $http = wp_remote_get($search_url2,$defaults);

            if(preg_match('#<title>百度安全验证</title>#is',$http['body'])){
                return false;
            }

            if(!is_wp_error($http) && 200 == $http['response']['code'] && !preg_match('#没有找到#is',$http['body'])){
                return true;
            }
        }

        return false;

    }


    /**
     * 百度站长连接主动推送接口
     *
     * @param $urls
     * @param $type
     * @return array
     */
    public static function pc_push($urls,$type,$token= null){

        $apis = array(
            1=>'http://data.zz.baidu.com/urls',
            2=>'http://data.zz.baidu.com/urls',
            3=>'http://data.zz.baidu.com/urls',
        );

        if(!$token){
            $token = WB_BSL_Conf::cnf('token');
        }


        $siteurl = get_option('siteurl');
        $parse = parse_url($siteurl);
        $site = $parse['host'];

        $ret = array(
            'code'=>1,
            'desc'=>'error',
            'data'=>null,
        );

        if(!$site){
            $ret['code'] = 10;
            $ret['desc'] = '获取当前域名失败';
            return $ret;
        }

        if(!$token){
            $ret['code'] = 10;
            $ret['desc'] = '未设置百度推送token';
            return $ret;
        }
        //
        $api = $apis[$type].'?site='.$site.'&token='.$token;
        $args = array(
            'timeout'=>10,
            'method'=>'POST',
            'body'=>implode("\n",$urls)
        );
        $http = wp_remote_post($api,$args);
        if(is_wp_error($http)){
            $ret['code'] = 20;
            $ret['desc'] = '接口请求错误,'.$http->get_error_message();
            return $ret;
        }
        if(200 === $http ['response'] ['code']){

            $body = $http ['body'];

            /*
            {"remain":4999998,"success":2,"not_same_site":[],"not_valid":[]}
            */
            $data = json_decode($body,true);
            if(!$data){
                $ret['code'] = 11;
                $ret['desc'] = '接口响应解析出错,响应内容【'.$body.'】';
                return $ret;
            }
            $ret['code'] = 0;
            $ret['desc'] = 'success';
            $ret['data'] = $data;
            return $ret;
        }else{

            if($http['body']){
                /*
                {"error":int,"message":string}
                {"error":400,"message":"site error"} 站点未在站长平台验证
                {"error":400,"message":"empty content"} post内容为空
                {"error":400,"message":"only 2000 urls are allowed once"} 每次最多只能提交2000条链接
                {"error":400,"message":"over quota"} 超过每日配额了，超配额后再提交都是无效的
                {"error":401,"message":"token is not valid"} token错误
                {"error":404,"message":"not found"} 接口地址填写错误
                {"error":500,"message":"internal error, please try later"} 服务器偶然异常，通常重试就会成功
                */
                $lan = array(
                    'site error'=>'站点未在站长平台验证',
                    'empty content'=>'未提交何url',
                    'only 2000 urls are allowed once'=>'每次最多只能提交2000条链接',
                    'over quota'=>'超过每日配额了，超配额后再提交都是无效的',
                    'token is not valid'=>'token错误',
                    'not found'=>'接口地址填写错误',
                    'internal error, please try later'=>'服务器偶然异常，通常重试就会成功',
                );
                $data = json_decode($http['body'],true);
                if(!$data){
                    $ret['code'] = 11;
                    $ret['desc'] = '接口响应解析出错,响应内容【'.$http['body'].'】';
                    return $ret;
                }

                $ret['code'] = 30;
                $ret['desc'] = isset($lan[$data['message']])?$lan[$data['message']]:$data['message'];
                $ret['data'] = $data;
                return $ret;
            }
            $ret['code'] = 12;
            $ret['desc'] = '接口请求出错,响应码【'.$http ['response'] ['code'].'】';
            return $ret;
        }

    }

    public static function app_push($urls,$type='realtime'){



        $token = WB_BSL_Conf::cnf('app_token');
        $appid = WB_BSL_Conf::cnf('app_id');







        $ret = array(
            'code'=>1,
            'desc'=>'error',
            'data'=>null,
        );



        if(!$appid){
            $ret['code'] = 10;
            $ret['desc'] = '未设置推送appid';
            return $ret;
        }

        if(!$token){
            $ret['code'] = 10;
            $ret['desc'] = '未设置推送token';
            return $ret;
        }

        //http://data.zz.baidu.com/urls?appid=1631599529020724&token=QfmdN41ZYCw7qT3c&type=
        $api = 'http://data.zz.baidu.com/urls?appid='.$appid.'&token='.$token.'&type='.$type;


        //self::log($api);


        $args = array(
            'timeout'=>10,
            'method'=>'POST',
            'body'=>implode("\n",$urls)
        );

        //self::log(json_encode($args));

        $http = wp_remote_post($api,$args);
        if(is_wp_error($http)){
            $ret['code'] = 20;
            $ret['desc'] = '接口请求错误,'.$http->get_error_message();
            return $ret;
        }
        if(200 === $http ['response'] ['code']){

            $body = $http ['body'];

            /*
            {"remain":4999998,"success":2,"not_same_site":[],"not_valid":[]}
            */
            $data = json_decode($body,true);
            if(!$data){
                $ret['code'] = 11;
                $ret['desc'] = '接口响应解析出错,响应内容【'.$body.'】';
                return $ret;
            }
            $ret['code'] = 0;
            $ret['desc'] = 'success';
            $ret['data'] = $data;
            return $ret;
        }else{

            if($http['body']){
                /*
                {"error":int,"message":string}
                {"error":400,"message":"site error"} 站点未在站长平台验证
                {"error":400,"message":"empty content"} post内容为空
                {"error":400,"message":"only 2000 urls are allowed once"} 每次最多只能提交2000条链接
                {"error":400,"message":"over quota"} 超过每日配额了，超配额后再提交都是无效的
                {"error":401,"message":"token is not valid"} token错误
                {"error":404,"message":"not found"} 接口地址填写错误
                {"error":500,"message":"internal error, please try later"} 服务器偶然异常，通常重试就会成功
                */
                $lan = array(
                    'site error'=>'站点未在站长平台验证',
                    'empty content'=>'未提交何url',
                    'only 2000 urls are allowed once'=>'每次最多只能提交2000条链接',
                    'over quota'=>'超过每日配额了，超配额后再提交都是无效的',
                    'token is not valid'=>'token错误',
                    'not found'=>'接口地址填写错误',
                    'internal error, please try later'=>'服务器偶然异常，通常重试就会成功',
                );
                $data = json_decode($http['body'],true);
                if(!$data){
                    $ret['code'] = 11;
                    $ret['desc'] = '接口响应解析出错,响应内容【'.$http['body'].'】';
                    return $ret;
                }

                $ret['code'] = 30;
                $ret['desc'] = isset($lan[$data['message']])?$lan[$data['message']]:$data['message'];
                $ret['data'] = $data;
                return $ret;
            }
            $ret['code'] = 12;
            $ret['desc'] = '接口请求出错,响应码【'.$http ['response'] ['code'].'】';
            return $ret;
        }

    }
}