<?php


/**
 * 插件定时任务
 * Class WB_BSL_Cron
 */
class WB_BSL_Cron
{

    public static function init(){

        //add_filter('cron_schedules',array(__CLASS__,'cron_schedules'));

        add_action('baidu_push_url_cron_action_v2',array(__CLASS__,'baidu_push_url_cron_action_v2'));
        add_action('baidu_push_url_cron_action_v3',array(__CLASS__,'baidu_push_url_cron_action_v3'));

        if(!wp_next_scheduled('baidu_push_url_cron_action_v3')){
            wp_schedule_event(strtotime(current_time('Y-m-d H:00:00',1)), 'hourly', 'baidu_push_url_cron_action_v3');
        }
    }


    public static function baidu_push_url_cron_action_v2(){

    }

    public static function cron_schedules(){
        return array('five_minute'=>array('interval'=>MINUTE_IN_SECONDS * 5,'display'=>'per five minute'));
    }




    public static function baidu_push_url_cron_action_v3(){

        if(!get_option('wb_bsl_ver',0)){
            return;
        }
        if(!get_option('bsl_version')){
            return;
        }

        $lock_txt = BSL_PATH.'/lock.txt';

        if(!file_exists($lock_txt)){
            file_put_contents($lock_txt,'');
        }

        $time = time();
        $next_time = $time + 300;
        $fp = fopen($lock_txt,'r+');
        if (flock($fp, LOCK_EX | LOCK_NB)) {//加锁
            do{
                $lock = fread($fp,32);
                //$lock = intval($lock);
                if($lock){
                    if($lock>$time){
                        //释放锁
                        flock($fp, LOCK_UN);
                        break;
                    }
                }
                rewind($fp);
                fwrite($fp,$next_time);
                fflush($fp);
                flock($fp, LOCK_UN);

                self::baidu_index();


                //存量周级推送
                self::week_push();




            }while(false);

        }
        fclose($fp);
    }


    public static function week_push(){
        global $wpdb;

        if(!WB_BSL_Conf::cnf('rest_cron')){
            return;
        }

        $t = $wpdb->prefix.'wb_bsl_log';

        //未收录
        $ymd = current_time('Ymd');

        do{
            $post_types = WB_BSL_Conf::cnf('post_type',array('post'));
            if(empty($post_types))$post_types = array('post');

            $post_types = "'".implode("','",$post_types)."'";

            $sql = "SELECT `ID`, `post_author`, `post_date`, `post_date_gmt`, `post_title`, `post_status`, `post_name`, `post_modified`, `post_modified_gmt`, `post_parent`, `guid`, `post_type`";
            $sql .= " FROM $wpdb->posts WHERE post_type IN($post_types) AND post_status='publish' ";
            $sql .= " AND NOT EXISTS (SELECT post_id FROM $wpdb->postmeta  WHERE meta_key='url_in_baidu' AND post_id = $wpdb->posts.ID ) ";
            $sql .= " AND NOT EXISTS (SELECT post_id FROM $t  WHERE  push_status=1 AND `type` IN(2,3) AND post_id = $wpdb->posts.ID ) ";

            $sql .= " ORDER BY ID DESC LIMIT 1000";


            $list = $wpdb->get_results($sql);

            if(!$list){
                break;
            }

            $url = array();
            $post_id = array();
            foreach($list as $post){
                $url[] = get_permalink($post);
                $post_id[] = $post->ID;
            }
            if(empty($url)){
                break;
            }

            $ret = WB_BSL_Baidu::app_push($url,'batch');
            if($ret['code']){
                break;
            }
            foreach($post_id as $k=>$id){
                WB_BSL_Utils::add_push_log('3',$id,$url[$k],$ret);
            }

        }while(false);
    }


    public static function update_index($d){
        global $wpdb;

        $t = $wpdb->prefix.'wb_bsl_day';

        $ymd = current_time('Y-m-d');
        $row = $wpdb->get_row("SELECT * FROM $t WHERE ymd='$ymd'");

        if($row){
            $wpdb->update($t,$d,array('id'=>$row->id));
        }else{
            $d['ymd'] = $ymd;

            $wpdb->insert($t,$d);
        }
    }
    public static function set_index($type,$num){
        global $wpdb;

        $t = $wpdb->prefix.'wb_bsl_day';

        $num = intval($num);

        $ymd = current_time('Y-m-d');
        $row = $wpdb->get_row("SELECT * FROM $t WHERE ymd='$ymd' ");

        if($row){
            $wpdb->query($wpdb->prepare("UPDATE $t SET $type=%d WHERE id=%d",$num,$row->id));
        }else{
            $d = array(
                'ymd'=>$ymd,
                $type=>$num,
            );
            $wpdb->insert($t,$d);
        }
    }

    public static function update_login_index_status(){

        global $wpdb;

        $t = $wpdb->prefix.'wb_bsl_log';

        $wpdb->query("UPDATE $t a,$wpdb->postmeta b SET a.index_status=1 WHERE a.post_id=b.post_id AND a.index_status=0 AND b.meta_key='url_in_baidu'");

    }

    public static function baidu_index(){



        //所有
        $all_in = WB_BSL_Baidu::scrapy_index();

        $d = array();
        if($all_in>-1){
            $d['all_in'] = $all_in;
        }
        $to = current_time('timestamp');
        //当天
        $from = strtotime(current_time('Y-m-d'));
        sleep(mt_rand(1,2));
        $day_in = WB_BSL_Baidu::scrapy_index(null,$from,$to);
        if($day_in>-1){
            $d['day_in'] = $day_in;
        }

        //7天
        $from2 = $from - 6 * 86400;
        sleep(mt_rand(1,2));
        $week_in = WB_BSL_Baidu::scrapy_index(null,$from2,$to);
        if($week_in>-1){
            $d['week_in'] = $week_in;
        }

        //新增
        $pre_day = array();

        //new_in
        $d['new_in'] = self::get_day_inc($d['day_in']);

        //not_in
        $d['not_in'] = self::un_index();


        self::update_index($d);

    }

    public static function un_index(){
        global $wpdb;


        $post_types = WB_BSL_Conf::cnf('post_type',array('post'));
        if(empty($post_types))$post_types = array('post');

        $post_types = "'".implode("','",$post_types)."'";

        //收录
        $num = $wpdb->get_var("SELECT COUNT(m.meta_id) num FROM $wpdb->postmeta m WHERE m.meta_key='url_in_baidu'");

        //文章
        $post_num = $wpdb->get_var("SELECT count(1) FROM $wpdb->posts WHERE  post_type IN($post_types) AND post_status='publish'");

        $not_found = max(0,$post_num - $num);

        return $not_found;
    }

    public static function get_day_inc($now){
        global $wpdb;
        $t = $wpdb->prefix.'wb_bsl_day';
        $list = $wpdb->get_results("SELECT * FROM $t ORDER BY ymd DESC LIMIT 2");
        if(!$list){
            return 0;
        }
        $num = 0;
        $ymd = current_time('Y-m-d');
        foreach($list as $r){
            if($r->ymd != $ymd){
                $num = max(0,$now - $r->all_in);
                break;
            }
        }

        return $num;
    }

}