<?php

/**
 * 百度搜索资源推送
 * Class WB_BSL_Site
 */

class WB_BSL_Site
{
    public static function init(){


        if(!WB_BSL_Conf::cnf('pc_active')){

            return;
        }


        if(WB_BSL_Conf::cnf('bdauto')){
            //百度自动推送JS
            add_action('wp_head',array(__CLASS__,'wp_head'),100);
        }


        if(is_admin()){
            add_action('edit_post',array(__CLASS__,'bsl_edit_post'),91,2);
            add_action('wp_insert_post',array(__CLASS__,'bsl_edit_post'),91,2);
        }

    }

    public static function bsl_edit_post($post_id,$post){


        static $post_ids = array();

        //原推送
        do{
            if(isset($post_ids[$post_id]))return;
            $post_ids[$post_id] = 1;
            if(!WB_BSL_Conf::check_post_type($post)){
                return;
            }

            $pc_active = WB_BSL_Conf::cnf('pc_active');
            if(!$pc_active){
                break;
            }
            $token = WB_BSL_Conf::cnf('token');
            if(!$token){
                break;
            }
            $ymd = current_time('Ymd');

            $type = 1;
            $log = WB_BSL_Utils::push_log($post_id,$type);
            if($log && $log->push_status == 1){
                break;
            }

            if($log && current_time('timestamp') - strtotime($log->create_date) < 300){
                break;
            }


            $post_url = get_permalink($post);
            $url = array(
                $post_url,
            );

            $ret = WB_BSL_Baidu::pc_push($url,1);

            WB_BSL_Utils::add_push_log($type,$post_id,$post_url,$ret);


        }while(false);


    }


    public static function wp_head(){

        if(!is_single())return;
        $post = get_post();

        if(!$post){
            return;
        }
        if($post->post_status != 'publish'){
            return;
        }
        if(!WB_BSL_Conf::check_post_type($post)){
            return;
        }

        wp_enqueue_script('wb-baidu-push',plugin_dir_url(BSL_BASE_FILE).'assets/baidu_push.js',array(),null,true);

        $type = 4;
        $log = WB_BSL_Utils::push_log($post->ID,$type);
        if($log){
            return;
        }
        WB_BSL_Utils::add_push_log($type,$post->ID,get_permalink($post),array('code'=>0,'desc'=>null));
    }


    public static function upgrade_v3_data(){
        global $wpdb;


        if(!WB_BSL_Conf::check_tb_exists()){
            return;
        }
        $t = $wpdb->prefix.'wb_bsl_log';

        $post_url = home_url('/?p=');

        $sql = "INSERT INTO `$t` (`post_id`,`post_url`,`create_date`,`type`,`push_status`)";
        $sql .= "SELECT post_id,CONCAT_WS('','$post_url',post_id) AS url,CONCAT_WS('-',SUBSTR(meta_value,3,4),SUBSTR(meta_value,7,2),SUBSTR(meta_value,9,2)) AS create_date,1 AS `type`,1 AS push_status ";
        $sql .= "FROM `$wpdb->postmeta` WHERE `meta_key` = 'bpu' ORDER BY meta_id ASC";

        $wpdb->query($sql);
        $wpdb->query("UPDATE $t a,$wpdb->postmeta b SET a.index_status=1 WHERE a.post_id=b.post_id AND a.index_status=0 AND b.meta_key='url_in_baidu'");
        $wpdb->query("DELETE FROM $wpdb->postmeta WHERE meta_key='bpu'");

    }

}