<?php


/**
 * 统计
 * Class WB_BSL_Stats
 */

class WB_BSL_Stats
{




    public static function pc_stat_data($day=7){

        $ret = array();

        $data_1 = self::push_stat_data(4,$day);
        $data_2 = self::push_stat_data(1,$day);

        $ret[] = array_values($data_1);
        $ret[] = array_values($data_2);


        return $ret;
    }

    public static function day_push_data($day=7){
        $ret = array();
        $data_1 = self::push_stat_data(2,$day);
        $data = self::index_data($day);

        $ret[] = array_values($data['limited']);
        $ret[] = array_values($data_1);
        $ret[] = array_values($data['remain']);
        return $ret;
    }
    public static function week_push_data($day=7){
        $ret = array();
        $data_1 = self::push_stat_data(3,$day);
        $ret[] = array_values($data_1);
        return $ret;
    }


    public static function push_stat_data($type,$day=7){
        global $wpdb;


        $t = $wpdb->prefix.'wb_bsl_log';

        $now = current_time('mysql');
        $timestamp = current_time('timestamp');

        $from_timestamp = strtotime((1-$day).' day',$timestamp);

        $from = gmdate('Y-m-d 00:00:00',$from_timestamp);


        $sql = "SELECT DATE_FORMAT(create_date,'%Y-%m-%d') ymd ,COUNT(1) num FROM $t WHERE push_status=1 AND `type`=$type AND create_date BETWEEN '$from' AND '$now' GROUP BY ymd ORDER BY ymd ASC";

        $ret = array();

        for($i=0;$i<$day;$i++){
            $ret[gmdate('Y-m-d',$from_timestamp + $i * 86400)] = 0;
        }

        $list = $wpdb->get_results($sql);

        foreach ($list as $r){
            $ret[$r->ymd] = $r->num;
        }

        return $ret;
    }
    public static function push_log($type,$num=10,$offset=0){
        global $wpdb;


        $t = $wpdb->prefix.'wb_bsl_log';

        $now = current_time('mysql');
        $timestamp = current_time('timestamp');

        $from_timestamp = strtotime('-6 day',$timestamp);
        $from = gmdate('Y-m-d 00:00:00',$from_timestamp);

        $limit = $offset.','.$num;

        $sql = "SELECT create_date AS `date`,`post_url` AS `url`,push_status AS `s_push`,index_status AS 's_record' FROM $t WHERE `type`=$type AND create_date BETWEEN '$from' AND '$now' ORDER BY id DESC LIMIT $limit";


        return $wpdb->get_results($sql);


    }
    public static function day_index($ymd=null){

        global $wpdb;
        $t = $wpdb->prefix.'wb_bsl_day';


        if(!$ymd){

            $ymd = current_time('Y-m-d');
        }

        $fields = array('all_in','new_in','not_in','day_in','week_in','month_in','limited','remain');
        $sql = "SELECT ymd ,".(implode(',',$fields))." FROM $t WHERE  ymd = '$ymd' ORDER BY ymd,id DESC";

        $row = $wpdb->get_row($sql);

        if(!$row){
            $row = new stdClass();
            foreach ($fields as $field){
                $row->$field = 0;
            }
        }

        return $row;
    }

    public static function index_data($day=7){
        global $wpdb;

        $t = $wpdb->prefix.'wb_bsl_day';


        $now = current_time('Y-m-d');
        $timestamp = current_time('timestamp');

        $from_timestamp = strtotime((1-$day).' day',$timestamp);

        $from = gmdate('Y-m-d',$from_timestamp);


        $fields = array('all_in','new_in','not_in','day_in','week_in','month_in','limited','remain');
        $sql = "SELECT ymd ,".(implode(',',$fields))." FROM $t WHERE  ymd BETWEEN '$from' AND '$now' ORDER BY ymd ASC";

        //echo $sql;
        $ret = array();

        for($i=0;$i<$day;$i++){
            $ret[gmdate('Y-m-d',$from_timestamp + $i * 86400)] = 0;
        }

        $result = array();

        foreach ($fields as $field){
            $result[$field] = $ret;
        }

        $list = $wpdb->get_results($sql);

        foreach ($list as $r){
            //$ret[$r->ymd] = $r->num;
            foreach ($fields as $field){
                $result[$field][$r->ymd] = $r->$field;
            }
        }


        //print_r($result);
        return $result;


    }



    public static function upgrade_v3_data(){

        global $wpdb;

        if(!WB_BSL_Conf::check_tb_exists()){
            return;
        }


        ///return;
        do{

            //收录统计
            //bsl_in_bd_stat
            $data = get_option('bsl_in_bd_stat');
            if(!$data){
                break;
            }
            $data = explode(',',$data);
            krsort($data);
            $list_1 = array();
            foreach($data as $v){
                //格式：20190801|10|3|7 = 日期|新增|未收|已收
                $row = explode('|',$v);
                $ymd = $row[0];
                $ymd2 = $ymd;
                if(preg_match('#^(\d{4})(\d{2})(\d{2})$#',$ymd,$m)){
                    $ymd2 = implode('-',array($m[1],$m[2],$m[3]));
                }
                $list_1[] = array($ymd,$ymd2,$row[1],$row[2],$row[3]);
            }


            $t = $wpdb->prefix.'wb_bsl_day';
            foreach($list_1 as $row){

                $d = array(
                    'ymd'=>$row[1],
                    'all_in'=>$row[4],
                    'not_in' => $row[3],
                    'new_in' => $row[2],
                );

                $wpdb->insert($t,$d);
            }
            //删除旧数据
            delete_option('bsl_in_bd_stat');



        }while(false);

        do{
            //收录统计
            //bsl_in_bd_stat
            $data = get_option('bsl_day_push_stat');
            if(!$data){
                break;
            }
            $data = explode(',',$data);
            krsort($data);
            $list_1 = array();
            foreach($data as $v){
                //格式：20190801|10|3|7 = 日期|额度|已用|剩余
                $row = explode('|',$v);
                $ymd = $row[0];
                $ymd2 = $ymd;
                if(preg_match('#^(\d{4})(\d{2})(\d{2})$#',$ymd,$m)){
                    $ymd2 = implode('-',array($m[1],$m[2],$m[3]));
                }
                $list_1[] = array($ymd,$ymd2,$row[1],$row[2],$row[3]);
            }


            $t = $wpdb->prefix.'wb_bsl_day';
            foreach($list_1 as $row){

                $wpdb->query($wpdb->prepare("UPDATE $t SET limited=%d,remain=%d WHERE ymd=%s",$row[2],$row[4],$row[1]));


            }
            //删除旧数据
            delete_option('bsl_day_push_stat');

        }while(false);
    }
}