<?php
/**
 * This was contained in an addon until version 1.0.0 when it was rolled into
 * core.
 *
 * @package    WBOLT
 * @author     WBOLT
 * @since      3.0.0
 * @license    GPL-2.0+
 * @copyright  Copyright (c) 2019, WBOLT
 */

$pd_title = '百度推送管理';
$pd_version = BSL_VERSION;
$pd_code = 'bsl-setting';
$pd_index_url = 'https://www.wbolt.com/plugins/bsl-pro';
$pd_doc_url = 'https://www.wbolt.com/bsl-plugin-documentation.html';

?>

<form id="optionsframework-wrap" action="options.php" method="post" autocomplete="off" class="wbs-wrap wbps-wrap v-wp" data-wba-source="<?php echo $pd_code; ?>" v-cloak>
    <div class="wbs-header">
        <svg class="wb-icon sico-wb-logo"><use xlink:href="#sico-wb-logo"></use></svg>
        <span>WBOLT</span>
        <strong><?php echo $pd_title; ?><i class="tag-pro" v-if="is_pro">PRO版</i><i class="tag-pro free" v-if="!is_pro">Free版</i></strong>

        <div class="links">
            <a class="wb-btn" href="<?php echo $pd_index_url; ?>" data-wba-campaign="title-bar" target="_blank">
                <svg class="wb-icon sico-plugins"><use xlink:href="#sico-plugins"></use></svg>
                <span>插件主页</span>
            </a>
            <a class="wb-btn" href="<?php echo $pd_doc_url; ?>" data-wba-campaign="title-bar" target="_blank">
                <svg class="wb-icon sico-doc"><use xlink:href="#sico-doc"></use></svg>
                <span>说明文档</span>
            </a>
        </div>
    </div>

    <div class="wbs-main">
        <div class="wbs-aside wbs-aside-bsl">
            <ul class="wbs-tabs wbs-menu">
                <li class="tab-item">
                    <a class="lv1" @click="cur_section='overview';scrollTo()"><svg class="wb-icon sico-data"><use xlink:href="#sico-data"></use></svg><span>数据统计</span></a>
                    <div class="sub-menu">
                        <a :class="{current: cur_section=='overview'}" @click="cur_section='overview';scrollTo()"><span>收录统计</span></a>
                        <a :class="{current: cur_section=='collection'}" @click="cur_section='collection';scrollTo()"><span>主动&自动推送</span></a>
                        <a :class="{current: cur_section=='push_day'}" @click="cur_section='push_day';scrollTo()"><span>天级推送</span><i class="tag-pro" v-if="!is_pro">Pro</i></a>
                        <a :class="{current: cur_section=='push_week'}" @click="cur_section='push_week';scrollTo()"><span>周级推送</span><i class="tag-pro" v-if="!is_pro">Pro</i></a>
                    </div>
                </li>
                <li class="tab-item">
                    <a class="lv1" @click="cur_section='log_takepush';scrollTo()"><svg class="wb-icon sico-log"><use xlink:href="#sico-log"></use></svg><span>推送日志</span></a>
                    <div class="sub-menu">
                        <a :class="{current: cur_section=='log_takepush'}" @click="cur_section='log_takepush';scrollTo()"><span>主动推送日志</span></a>
                        <a :class="{current: cur_section=='log_daypush'}" @click="cur_section='log_daypush';scrollTo()"><span>天级推送日志</span><i class="tag-pro" v-if="!is_pro">Pro</i></a>
                        <a :class="{current: cur_section=='log_weekpush'}" @click="cur_section='log_weekpush';scrollTo()"><span>周级推送日志</span><i class="tag-pro" v-if="!is_pro">Pro</i></a>
                    </div>
                </li>
                <li class="tab-item">
                    <a :class="{current: cur_section=='setting'}" class="lv1" @click="cur_section='setting';scrollTo()"><svg class="wb-icon sico-setting"><use xlink:href="#sico-setting"></use></svg><span>插件设置</span></a>
                    <div class="sub-menu">
                        <a @click="cur_section='setting'" href="#settingType"><span>推送文章类型</span></a>
                        <a @click="cur_section='setting'" href="#settingSearchBD"><span>百度基础推送</span></a>
                        <a @click="cur_section='setting'" href="#settingDayBD"><span>熊掌ID天级推送</span><i class="tag-pro" v-if="!is_pro">Pro</i></a>
                        <a @click="cur_section='setting'" href="#settingWeekBD"><span>熊掌ID周级推送</span><i class="tag-pro" v-if="!is_pro">Pro</i></a>
                        <a @click="cur_section='setting'" href="#settingCollectionBD"><span>百度收录查询</span><i class="tag-pro" v-if="!is_pro">Pro</i></a>
                    </div>
                </li>
                <li class="tab-item" v-if="!isMobile()">
                    <a class="lv1" @click="cur_section='about_pro';scrollTo()">
                        <i class="pro-btn"></i>
                    </a>
                </li>
            </ul>
        </div>

        <div class="wbs-content option-form" id="optionsframework">
	        <?php
	        settings_fields($setting_field);
	        ?>

            <div class="sc-wp" v-if="cur_section=='overview' || (isMobile() && cur_section=='overview')">
                <h3 class="sc-header">
                    <strong>收录统计</strong>
                </h3>
                <div class="sc-body">
                    <div class="data-overview">
                        <div class="ao-it" v-for="item in overview">
                            <dl>
                                <dt class="it-name">{{item.name}}</dt>
                                <dd class="it-value">{{item.value}}</dd>
                            </dl>
                        </div>
                    </div>

                </div>

                <div class="sc-body overview-charts">
                    <div class="tab-nav">
                        <a class="tn-item" v-bind:class="{current: echart_switch.collection_overview==7}" @click="echart_switch.collection_overview=7;collectionOverview(7)">最近7天</a>
                        <a class="tn-item" v-bind:class="{current: echart_switch.collection_overview==30}" @click="echart_switch.collection_overview=30;collectionOverview(30)">最近30天</a>
                    </div>
                    <v-chart class="charts-box" :options="collection_overview"/>
                </div>
                <div class="description-ov">* 数字为估算值，数据每小时更新一次。网站管理员如需了解更准确的索引量，请使用百度站长平台。</div>
            </div>

            <div class="sc-wp" v-if="cur_section=='collection' || (isMobile() && cur_section=='overview')">
                <h3 class="sc-header">
                    <strong>主动&自动推送</strong>
                </h3>

                <div class="sc-body">
                    <div class="tab-nav">
                        <a class="tn-item" v-bind:class="{current: echart_switch.push_overview==7}" @click="echart_switch.push_overview=7;pushOverview(7)">最近7天</a>
                        <a class="tn-item" v-bind:class="{current: echart_switch.push_overview==30}" @click="echart_switch.push_overview=30;pushOverview(30)">最近30天</a>
                    </div>
                    <div class="charts-wp">
                        <div class="chart">
                            <v-chart class="charts-box" :options="push_overview"/>
                        </div>
                    </div>

                    <dl class="description mt">
                        <dt>数据说明：</dt>
                        <dd>这里数据仅代表插件协作推送至百度搜索资源平台的数据，即完整推送数据；</dd>
                        <dd>百度搜索资源平台的统计数据为自动/主动/sitemap三种推送方式去重数据，除sitemap推送外，自动及主动推送不重复计算已经收录或者推送过的数据；</dd>
                        <dd>推送数据不代表收录数据，积极向百度推送数据目的是为了更好地获得收录数据。</dd>
                    </dl>
                </div>
            </div>

            <div class="sc-wp" v-if="cur_section == 'push_day' || (isMobile() && cur_section=='overview')">
                <h3 class="sc-header">
                    <strong>天级推送</strong>
                    <i class="tag-pro" @click="aboutPro">Pro</i>
                </h3>

                <div class="sc-body">
                    <div class="tab-nav">
                        <a class="tn-item" v-bind:class="{current: echart_switch.day_push==7}" @click="echart_switch.day_push=7;dayPush(7)">最近7天</a>
                        <a class="tn-item" v-bind:class="{current: echart_switch.day_push==30}" @click="echart_switch.day_push=30;dayPush(30)">最近30天</a>
                    </div>

                    <div class="charts-wp">
                        <div class="chart"><v-chart class="charts-box" :options="day_push"/></div>
                        <div v-if="!is_pro" class="getpro-mask">
                            <a class="wbs-btn-primary j-get-pro" @click="aboutPro">获取PRO版本</a>
                            <p class="tips">* 注意：当前为随机演示数据，仅供参考</p>
                        </div>
                    </div>

                    <p class="description mt">温馨提示：这里仅统计天级收录推送数据，天级收录推送收录情况请访问<a class="link" target="_blank" href="https://ziyuan.baidu.com/">百度搜索资源平台-移动专区</a>查看。此外，百度官方统计数据有时候会出现一周延迟或者数据丢失，这是百度数据系统问题。</p>
                </div>
            </div>

            <div class="sc-wp" v-if="cur_section == 'push_week' || (isMobile() && cur_section=='overview')">
                <h3 class="sc-header">
                    <strong>周级推送</strong><i class="tag-pro" @click="aboutPro">Pro</i>
                </h3>

                <div class="sc-body">
                    <div class="tab-nav">
                        <a class="tn-item" v-bind:class="{current: echart_switch.week_push==7}" @click="echart_switch.week_push=7; weekPush(7)">最近7天</a>
                        <a class="tn-item" v-bind:class="{current: echart_switch.week_push==30}" @click="echart_switch.week_push=30; weekPush(30)">最近30天</a>
                    </div>
                    <div class="charts-wp">
                        <div class="chart">
                            <v-chart class="charts-box" :options="week_push"/>
                        </div>
                        <div v-if="!is_pro" class="getpro-mask">
                            <a class="wbs-btn-primary" @click="aboutPro">获取PRO版本</a>
                            <p class="tips">* 注意：当前为随机演示数据，仅供参考</p>
                        </div>
                    </div>

                    <p class="description mt">温馨提示：周级收录推送作为天级收录推送补充，有利于增加网站页面内容收录数，强烈建议同时使用周级收录推送功能。此外，百度官方统计数据有时候会出现一周延迟或者数据丢失，这是百度数据系统问题。</p>
                </div>
            </div>




            <div class="sc-wp" v-if="cur_section == 'log_takepush' || (isMobile() && cur_section=='log_takepush')">
                <h3 class="sc-header">
                    <strong>主动推送日志</strong>
                </h3>
                <div class="log-box">
                    <div class="empty-data-tips" v-if="!log_push">暂无数据</div>
                    <table class="wbs-table" v-if="log_push">
                        <thead>
                            <tr>
                                <th>日期</th>
                                <th>链接</th>
                                <th>推送状态</th>
                                <th>收录状态</th>
                            </tr>
                        </thead>
                        <body>
                            <tr v-for="item in log_push">
                                <td>{{item.date}}</td>
                                <td><div class="url">{{item.url}}</div></td>
                                <td v-html='item.s_push==1 ? "<span class=\"suc\">成功</span>": "失败"'></td>
                                <td v-html='item.s_record==1 ? "<span class=\"suc\">已收录</span>" : "未收录"'></td>
                            </tr>
                        </body>
                    </table>
                    <div class="empty-tips-bar" v-show="!log_push.length">
                        暂无数据
                    </div>
                    <div class="btns-bar" v-show="log_push.length">
                        <a class="more-btn" @click="loadLogRecord('tackpush',10)">[查看更多]</a>
                    </div>

                    <div class="description mt">温馨提示：日志仅记录最近7天数据。推送数据收录状态仅供参考，实际以百度搜索结果为准。</div>
                </div>
            </div>

            <div class="sc-wp" v-if="cur_section == 'log_daypush' || (isMobile() && cur_section=='log_takepush')">
                <h3 class="sc-header">
                    <strong>天级推送日志</strong><i class="tag-pro" @click="aboutPro">Pro</i>
                </h3>

                <div class="log-box">
                    <div class="empty-data-tips" v-if="!log_daypush.length">暂无数据</div>
                    <table class="wbs-table" v-if="log_daypush.length">
                        <thead>
                        <tr>
                            <th>日期</th>
                            <th>链接</th>
                            <th>推送状态</th>
                            <th>收录状态</th>
                        </tr>
                        </thead>
                        <body>
                        <tr v-for="item in log_daypush">
                            <td>{{item.date}}</td>
                            <td><div class="url">{{item.url}}</div></td>
                            <td v-html='item.s_push==1 ? "<span class=\"suc\">成功</span>": "失败"'></td>
                            <td v-html='item.s_record==1 ? "<span class=\"suc\">已收录</span>" : "未收录"'></td>
                        </tr>
                        </body>
                    </table>

                    <div class="btns-bar" v-if="is_pro">
                        <a class="more-btn" @click="loadLogRecord('daypush',10)">[查看更多]</a>
                    </div>

                    <div class="getpro-mask" v-if="!is_pro">
                        <a class="wbs-btn-primary" @click="aboutPro">获取PRO版本</a>
                        <p class="tips">* 注意：当前为演示数据，仅供参考</p>
                    </div>

                    <div class="description" v-if="is_pro">温馨提示：日志仅记录最近7天数据。推送数据收录状态仅供参考，实际以百度搜索结果为准。</div>
                </div>
            </div>
            <div class="sc-wp" v-if="cur_section == 'log_weekpush' || (isMobile() && cur_section=='log_takepush')">
                <h3 class="sc-header">
                    <strong>周级推送日志</strong><i class="tag-pro" @click="aboutPro">Pro</i>
                </h3>
                <div class="log-box">
                    <div class="empty-data-tips" v-if="!log_weekpush.length">暂无数据</div>
                    <table class="wbs-table" v-if="log_weekpush.length">
                        <thead>
                        <tr>
                            <th>日期</th>
                            <th>链接</th>
                            <th>推送状态</th>
                            <th>收录状态</th>
                        </tr>
                        </thead>
                        <body>
                        <tr v-for="item in log_weekpush">
                            <td>{{item.date}}</td>
                            <td><div class="url">{{item.url}}</div></td>
                            <td v-html='item.s_push==1 ? "<span class=\"suc\">成功</span>": "失败"'></td>
                            <td v-html='item.s_record==1 ? "<span class=\"suc\">已收录</span>" : "未收录"'></td>
                        </tr>
                        </body>
                    </table>
                    <div class="btns-bar" v-if="is_pro">
                        <a class="more-btn" @click="loadLogRecord('weekpush',10)">[查看更多]</a>
                    </div>

                    <div class="getpro-mask" v-if="!is_pro">
                        <a class="wbs-btn-primary" @click="aboutPro">获取PRO版本</a>
                        <p class="tips">* 注意：当前为演示数据，仅供参考</p>
                    </div>

                    <div class="description" v-if="is_pro">温馨提示：日志仅记录最近7天数据。推送数据收录状态仅供参考，实际以百度搜索结果为准。</div>
                </div>
            </div>



            <div class="sc-wp" v-show="cur_section == 'setting'" id="settingType">
                <h3 class="sc-header">
                    <strong>推送文章类型</strong>
                </h3>
                <div class="sc-body">
                    <table class="wbs-form-table">
                        <tbody>
                        <tr>
                            <th class="row w8em">需推送文章类型</th>
                            <td>
                                <div class="selector-bar">
						            <?php
						            global  $wp_post_types;

						            if(!isset($opt['post_type']))$opt['post_type'] = array('post');
						            if($wp_post_types && is_array($wp_post_types))foreach($wp_post_types as $type){
							            if($type->public){
								            echo '<label><input type="checkbox" name="'.$setting_field.'[post_type][]"'.(in_array($type->name,$opt['post_type'])?' checked="checked"':'').' value="'.$type->name.'"/>'.$type->labels->name.'</label> ';
							            }

						            }
						            ?>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>

            <div class="sc-wp" v-show="cur_section == 'setting'" id="settingSearchBD">
                <h3 class="sc-header">
                    <strong>百度基础推送</strong>
                    <input class="wb-switch" type="checkbox" v-model="cnf.pc_active" name="<?php echo $setting_field;?>[pc_active]" >
                </h3>
                <div class="sc-body">
                    <table class="wbs-form-table">
                        <tbody>
                        <tr>
                            <th class="row w8em">主动推送密钥</th>
                            <td>
                                <input id="wb_bdsl_bdkey" class="wbs-input wbs-input-short" data-max="80" v-model="cnf.token" name="<?php echo $setting_field;?>[token]" onblur="return checkBaiduToken(this,1);" type="text" placeholder="">
                                <span class="ml" id="J_checkToken"><a href="javascript:void(0);" onclick="return checkBaiduToken(this,2)">[验证密钥]</a> <span class="hl ml" id="check_baidu_resp"></span></span>

                                <div class="description mt">请输入百度推送准入密钥，访问<a class="link" target="_blank" href="https://ziyuan.baidu.com/">百度搜索资源平台</a>获取准入密钥，<a class="link" target="_blank" data-wba-campaign="Setting-Des-txt"  href="https://www.wbolt.com/how-to-get-baidu-tokenid.html">查看教程</a>。如无法验证，提示site sid is empty或者接口请求错误时，点击重试或者稍后再试即可。</div>
                            </td>
                        </tr>
                        <tr>
                            <th class="row">自动推送开关</th>
                            <td>
                                <input class="wb-switch" type="checkbox" data-target="#J_bdAutoSetMsg" true-value="1" v-model="cnf.bdauto" name="<?php echo $setting_field;?>[bdauto]" value="1" id="seo_bdauto">
		                        <?php if(isset($op_sets['bdauto']) && $op_sets['bdauto']): ?>
                                    <span class="description" id="J_bdAutoSetMsg">已启用百度链接自动推送，切莫重复添加推送工具代码。</span>
		                        <?php else: ?>
                                    <span class="description"> 自动推送开关开启后，主题会添加自动推送工具代码，提高百度搜索引擎对站点新增网页发现速度。</span>
		                        <?php endif; ?>

		                        <?php /* the code:
                         <script>
                        (function(){
                            var bp = document.createElement('script');
                            var curProtocol = window.location.protocol.split(':')[0];
                            if (curProtocol === 'https') {
                                bp.src = 'https://zz.bdstatic.com/linksubmit/push.js';
                            }
                            else {
                                bp.src = 'http://push.zhanzhang.baidu.com/push.js';
                            }
                            var s = document.getElementsByTagName("script")[0];
                            s.parentNode.insertBefore(bp, s);
                        })();
                        </script>
                    */ ?>
                            </td>
                        </tr>
                        <tr>
                            <th class="row w8em">Sitemap推送</th>
                            <td>
                                <div class="mt" id="sitemap-check">检测中......</div>

                                <!--检测是否开启sitemap 若未有：-->
                                <div class="description mt" id="sitemap-404" style="display: none;">未检测到有效站点Sitemap，请依据下方说明安装插件生成站点sitemap</div>

                                <!--若有：-->
                                <div class="description mt" id="sitemap-200" style="display: none;">Sitemap地址：<a class="sitemap" href="<?php echo $site_map_exists;?>" target="_blank"><?php echo $site_map_exists;?></a></div>

                            </td>
                        </tr>
                        <tr>
                            <th>教程</th>
                            <td>
                                <dl class="description">
                                    <dd>Sitemap生成 - 下载并启动Sitemap生成插件，建议安装 Google XML Sitemaps。<a lass="link" target="_blank" data-wba-campaign="Setting-Des-txt" href="https://www.wbolt.com/how-to-set-google-xml-sitemaps.html">查看教程</a></dd>
                                    <dd>Sitemap提交 - 访问并登陆<a class="link" target="_blank" href="https://ziyuan.baidu.com/">百度搜索资源平台</a>，找到链接提交-自动提交-sitemap，填入sitemap 地址，最后提交。<a class="link" target="_blank" data-wba-campaign="Setting-Des-txt" href="https://www.wbolt.com/how-to-set-a-sitemap-linksubmit.html">查看教程</a></dd>
                                    <dd>若未能检测到sitemap，请手动复制sitemap地址到百度搜索资源平台提交。</dd>
                                </dl>

                                <div class="description mt">sitemap检测仅支持主流sitemap插件所生成的sitemap文件，如无法检测，可能你未安装sitemap插件或者无法检测到你所安装插件所生成的sitemap文件。</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>

            <div class="sc-wp" v-show="cur_section == 'setting'" id="settingDayBD">
                <h3 class="sc-header">
                    <strong>熊掌ID天级推送 <i class="tag-pro" @click="aboutPro">Pro</i></strong>
                    <input class="wb-switch" type="checkbox" :disabled="!is_pro" v-model="cnf.app_active" name="<?php echo $setting_field;?>[app_active]" >
                </h3>
                <div class="sc-body setting-box">
                    <table class="wbs-form-table">
                        <tbody>
                        <tr>
                            <th class="row w8em">Appid</th>
                            <td>
                                <input class="wbs-input" data-max="80" :disabled="!is_pro" name="<?php echo $setting_field;?>[app_id]" type="text" v-model="cnf.app_id" placeholder="">

                            </td>
                        </tr>
                        <tr>
                            <th class="row w8em">Token</th>
                            <td>
                                <input class="wbs-input" data-max="80" :disabled="!is_pro" name="<?php echo $setting_field;?>[app_token]"  type="text"  v-model="cnf.app_token" placeholder="">

                                <div class="description mt">* 温馨提示：
                                    Appid和Token可以通过访问 <a class="link" target="_blank" href="https://ziyuan.baidu.com/">百度搜索资源平台-移动专区</a>，点击右侧菜单“资源推送”-“站点天级收录或者站点周级收录”，
                                    找到接口调用地址（示例http://data.zz.baidu.com/urls?appid=1***4&token=Q***c&type=），取=后&前部分字符串即可。</div>
                            </td>
                        </tr>
                        <!--<tr>
                            <th>

                            </th>
                            <td>
                                <button class="btn-primary" :disabled="!is_pro" @click="doCron">执行统计</button>
                            </td>
                        </tr>-->
                        </tbody>
                    </table>

                    <div class="getpro-mask" v-if="!is_pro">
                        <a class="wbs-btn-primary" @click="aboutPro">获取PRO版本</a>
                        <p class="tips"></p>
                    </div>
                </div>
            </div>

            <div class="sc-wp" v-show="cur_section == 'setting'" id="settingWeekBD">
                <h3 class="sc-header">
                    <strong>
                        熊掌ID周级推送 <i class="tag-pro" @click="aboutPro">Pro</i>
                    </strong>
                    <input class="wb-switch" type="checkbox" :disabled="!is_pro" v-model="cnf.app_active_week" name="<?php echo $setting_field;?>[app_active_week]" >
                </h3>
                <div class="sc-body setting-box">
                    <table class="wbs-form-table">
                        <tbody>
                        <tr>
                            <th class="row w8em">推送规则设置</th>
                            <td>
                                <label class="item-block">
                                    <input true-value="1" value="1" type="checkbox" :disabled="!is_pro" v-model="cnf.week_use" name="<?php echo $setting_field;?>[week_use]" >
                                    <span class="description">超出天级收录配额数据使用周级推送</span>
                                </label>

                                <label class="item-block mt">
                                    <input true-value="1" value="1" type="checkbox" :disabled="!is_pro" v-model="cnf.week_cron" name="<?php echo $setting_field;?>[week_cron]">
                                    <span class="description">每周定时推送上一周期未收录文章数据</span>
                                </label>

                                <label class="item-block mt">
                                    <input true-value="1" value="1" type="checkbox" :disabled="!is_pro" v-model="cnf.rest_cron" name="<?php echo $setting_field;?>[rest_cron]">
                                    <span class="description">存量未收录文章使用周级推送</span>
                                </label>

                                <div class="description mt">* 存量未收录文章仅使用周级推送规则推送一次，未被收录的历史文章不宜反复推送至百度。</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>

                    <div class="getpro-mask" v-if="!is_pro">
                        <a class="wbs-btn-primary" @click="aboutPro">获取PRO版本</a>
                        <p class="tips"></p>
                    </div>
                </div>
            </div>

            <div class="sc-wp" v-show="cur_section == 'setting'" id="settingCollectionBD">
                <h3 class="sc-header">
                    <strong>网站文章百度收录查询 <i class="tag-pro" @click="aboutPro">Pro</i></strong>
                    <input class="wb-switch" type="checkbox" :disabled="!is_pro" v-model="cnf.in_bd_active" name="<?php echo $setting_field;?>[in_bd_active]">
                </h3>
                <div class="sc-body setting-box">
                    <table class="wbs-form-table">
                        <tbody>
                        <tr>
                            <th class="row w8em"></th>
                            <td>
                                <dl class="description" >
                                    <dt>温馨提示：</dt>
                                    <dd>开启该功能后，插件将会每日凌晨检测已发布文章的百度收录情况。</dd>
                                    <dd>在已发布文章列表快速编辑选项增加百度收录状态及百度收录情况即时检测选项。</dd>
                                    <dd>文章百度收录状态仅供参考，实际收录情况以百度搜索为准。</dd>
                                </dl>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>



            <div class="sc-wp" v-show="cur_section == 'about_pro'">
                <div class="table-comparison">
                    <ul class="table-hd">
                        <li class="hd"><i class="pfc" title="功能对比"></i></li>
                        <li class="free">
                            <strong>免费版</strong>
                            <i class="gf-free"></i>
                        </li>
                        <li class="pro">
                            <strong>专业版</strong>
                            <i class="gf-pro"></i>
                        </li>
                    </ul>
                    <dl class="tr">
                        <dt>百度主动推送</dt>
                        <dd class="free"><i class="wbicon-tick"></i></dd>
                        <dd class="pro"><i class="wbicon-tick"></i></dd>
                    </dl>
                    <dl class="tr">
                        <dt>百度自动推送</dt>
                        <dd class="free"><i class="wbicon-tick"></i></dd>
                        <dd class="pro"><i class="wbicon-tick"></i></dd>
                    </dl>
                    <dl class="tr">
                        <dt>Sitemap检测</dt>
                        <dd class="free"><i class="wbicon-tick"></i></dd>
                        <dd class="pro"><i class="wbicon-tick"></i></dd>
                    </dl>
                    <dl class="tr">
                        <dt>推送文章类型设置</dt>
                        <dd class="free"><i class="wbicon-tick"></i></dd>
                        <dd class="pro"><i class="wbicon-tick"></i></dd>
                    </dl>
					<dl class="tr">
                        <dt>收录统计</dt>
                        <dd class="free"><i class="wbicon-tick"></i></dd>
                        <dd class="pro"><i class="wbicon-tick"></i></dd>
                    </dl>
                    <dl class="tr">
                        <dt>主动&自动推送统计</dt>
                        <dd class="free"><i class="wbicon-tick"></i></dd>
                        <dd class="pro"><i class="wbicon-tick"></i></dd>
                    </dl>
                    <dl class="tr">
                        <dt>主动推送日志</dt>
                        <dd class="free"><i class="wbicon-tick"></i></dd>
                        <dd class="pro"><i class="wbicon-tick"></i></dd>
                    </dl>
                    <dl class="tr">
                        <dt>熊掌ID天级推送</dt>
                        <dd class="free">无</dd>
                        <dd class="pro"><i class="wbicon-tick"></i></dd>
                    </dl>
                    <dl class="tr">
                        <dt>熊掌ID周级推送</dt>
                        <dd class="free">无</dd>
                        <dd class="pro"><i class="wbicon-tick"></i></dd>
                    </dl>
                    <dl class="tr">
                        <dt>天级推送数据统计</dt>
                        <dd class="free">无</dd>
                        <dd class="pro"><i class="wbicon-tick"></i></dd>
                    </dl>
                    <dl class="tr">
                        <dt>周级推送数据统计</dt>
                        <dd class="free">无</dd>
                        <dd class="pro"><i class="wbicon-tick"></i></dd>
                    </dl>
                    <dl class="tr">
                        <dt>天级推送日志</dt>
                        <dd class="free">无</dd>
                        <dd class="pro"><i class="wbicon-tick"></i></dd>
                    </dl>
                    <dl class="tr">
                        <dt>周级推送日志</dt>
                        <dd class="free">无</dd>
                        <dd class="pro"><i class="wbicon-tick"></i></dd>
                    </dl>
                    <dl class="tr">
                        <dt>文章百度收录状态</dt>
                        <dd class="free">无</dd>
                        <dd class="pro"><i class="wbicon-tick"></i></dd>
                    </dl>
                    <dl class="tr">
                        <dt>文章百度收录检测</dt>
                        <dd class="free">无</dd>
                        <dd class="pro"><i class="wbicon-tick"></i></dd>
                    </dl>
                    <dl class="tr tr-btns">
                        <dt></dt>
                        <dd class="free"></dd>
                        <dd class="pro">
                            <a class="wbs-btn wbs-btn-primary" v-if="!is_pro" @click="activePro">立即激活</a>
                            <span class="wbs-btn wbs-btn-outlined" v-if="is_pro">已激活</span>
                        </dd>
                    </dl>
                </div>
            </div>


            <more-wb-info v-bind:utm-source="pd_code"></more-wb-info>

            <div class="wb-copyright-bar">
                <div class="wbcb-inner">
                    <a class="wb-logo" href="https://www.wbolt.com" data-wba-campaign="footer" title="WBOLT" target="_blank"><svg class="wb-icon sico-wb-logo"><use xlink:href="#sico-wb-logo"></use></svg></a>
                    <div class="wb-desc">
                        Made By <a href="https://www.wbolt.com" data-wba-campaign="footer" target="_blank">闪电博</a>
                        <span class="wb-version">版本：<?php echo $pd_version;?></span>
                    </div>
                    <div class="ft-links">
                        <a href="https://www.wbolt.com/plugins" data-wba-campaign="footer" target="_blank">免费插件</a>
                        <a href="https://www.wbolt.com/knowledgebase" data-wba-campaign="footer" target="_blank">插件支持</a>
                        <a href="<?php echo $pd_doc_url; ?>" data-wba-campaign="footer" target="_blank">说明文档</a>
                        <a href="https://www.wbolt.com/terms-conditions" data-wba-campaign="footer" target="_blank">服务协议</a>
                        <a href="https://www.wbolt.com/privacy-policy" data-wba-campaign="footer" target="_blank">隐私条例</a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="wbs-footer" id="optionsframework-submit">
        <div class="wbsf-inner">
            <button class="wbs-btn-primary" type="submit" name="update">保存设置</button>
        </div>
    </div>
</form>


<div style=" display:none;">
    <svg aria-hidden="true" style="position: absolute; width: 0; height: 0; overflow: hidden;" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
        <defs>
            <symbol id="sico-upload" viewBox="0 0 16 13">
                <path d="M9 8v3H7V8H4l4-4 4 4H9zm4-2.9V5a5 5 0 0 0-5-5 4.9 4.9 0 0 0-4.9 4.3A4.4 4.4 0 0 0 0 8.5C0 11 2 13 4.5 13H12a4 4 0 0 0 1-7.9z" fill="#666" fill-rule="evenodd"/>
            </symbol>
            <symbol id="sico-wb-logo" viewBox="0 0 18 18">
                <title>sico-wb-logo</title>
                <path d="M7.264 10.8l-2.764-0.964c-0.101-0.036-0.172-0.131-0.172-0.243 0-0.053 0.016-0.103 0.044-0.144l-0.001 0.001 6.686-8.55c0.129-0.129 0-0.321-0.129-0.386-0.631-0.163-1.355-0.256-2.102-0.256-2.451 0-4.666 1.009-6.254 2.633l-0.002 0.002c-0.791 0.774-1.439 1.691-1.905 2.708l-0.023 0.057c-0.407 0.95-0.644 2.056-0.644 3.217 0 0.044 0 0.089 0.001 0.133l-0-0.007c0 1.221 0.257 2.314 0.643 3.407 0.872 1.906 2.324 3.42 4.128 4.348l0.051 0.024c0.129 0.064 0.257 0 0.321-0.129l2.25-5.593c0.064-0.129 0-0.257-0.129-0.321z"></path>
                <path d="M16.714 5.914c-0.841-1.851-2.249-3.322-4.001-4.22l-0.049-0.023c-0.040-0.027-0.090-0.043-0.143-0.043-0.112 0-0.206 0.071-0.242 0.17l-0.001 0.002-2.507 5.914c0 0.129 0 0.257 0.129 0.321l2.571 1.286c0.129 0.064 0.129 0.257 0 0.386l-5.979 7.264c-0.129 0.129 0 0.321 0.129 0.386 0.618 0.15 1.327 0.236 2.056 0.236 2.418 0 4.615-0.947 6.24-2.49l-0.004 0.004c0.771-0.771 1.414-1.671 1.929-2.7 0.45-1.029 0.643-2.121 0.643-3.279s-0.193-2.314-0.643-3.279z"></path>
            </symbol>
            <symbol id="sico-more" viewBox="0 0 16 16">
                <path d="M6 0H1C.4 0 0 .4 0 1v5c0 .6.4 1 1 1h5c.6 0 1-.4 1-1V1c0-.6-.4-1-1-1M15 0h-5c-.6 0-1 .4-1 1v5c0 .6.4 1 1 1h5c.6 0 1-.4 1-1V1c0-.6-.4-1-1-1M6 9H1c-.6 0-1 .4-1 1v5c0 .6.4 1 1 1h5c.6 0 1-.4 1-1v-5c0-.6-.4-1-1-1M15 9h-5c-.6 0-1 .4-1 1v5c0 .6.4 1 1 1h5c.6 0 1-.4 1-1v-5c0-.6-.4-1-1-1"/>
            </symbol>
            <symbol id="sico-plugins" viewBox="0 0 16 16">
                <path fill-rule="evenodd" d="M16 3h-2V0h-2v3H8V0H6v3H4v2h1v2a5 5 0 0 0 4 4.9V14H2v-4H0v5c0 .6.4 1 1 1h9c.6 0 1-.4 1-1v-3.1A5 5 0 0 0 15 7V5h1V3z"/>
            </symbol>
            <symbol id="sico-doc" viewBox="0 0 16 16">
                <path fill-rule="evenodd" d="M15 0H1C.4 0 0 .4 0 1v14c0 .6.4 1 1 1h14c.6 0 1-.4 1-1V1c0-.6-.4-1-1-1zm-1 2v9h-3c-.6 0-1 .4-1 1v1H6v-1c0-.6-.4-1-1-1H2V2h12z"/><path d="M4 4h8v2H4zM4 7h8v2H4z"/>
            </symbol>
            <symbol id="wbsico-time" viewBox="0 0 18 18">
                <path d="M9 15.75c-3.71 0-6.75-3.04-6.75-6.75S5.29 2.25 9 2.25 15.75 5.29 15.75 9 12.71 15.75 9 15.75zM9 0C4.05 0 0 4.05 0 9s4.05 9 9 9 9-4.05 9-9-4.05-9-9-9z"/>
                <path d="M10.24 4.5h-1.8V9h4.5V7.2h-2.7z"/>
            </symbol>
            <symbol id="wbsico-views" viewBox="0 0 26 18">
                <path d="M13.1 0C7.15.02 2.08 3.7.02 8.9L0 9a14.1 14.1 0 0 0 13.09 9c5.93-.02 11-3.7 13.06-8.9l.03-.1A14.1 14.1 0 0 0 13.1 0zm0 15a6 6 0 0 1-5.97-6v-.03c0-3.3 2.67-5.97 5.96-5.98a6 6 0 0 1 5.96 6v.04c0 3.3-2.67 5.97-5.96 5.98zm0-9.6a3.6 3.6 0 1 0 0 7.2 3.6 3.6 0 0 0 0-7.2h-.01z"/>
            </symbol>
            <symbol id="wbsico-comment" viewBox="0 0 18 18">
                <path d="M9 0C4.05 0 0 3.49 0 7.88s4.05 7.87 9 7.87c.45 0 .9 0 1.24-.11L15.75 18v-4.95A7.32 7.32 0 0 0 18 7.88C18 3.48 13.95 0 9 0z"/>
            </symbol>
            <symbol id="sico-data" viewBox="0 0 16 16">
                <path fill-rule="evenodd" d="M14 7h-2.5L10 9.2l-4-6L3.5 7H2V2h12v5zm0 7H2V9h2.5L6 6.8l4 6L12.5 9H14v5zm1-14H1C.4 0 0 .4 0 1v14c0 .6.4 1 1 1h14c.6 0 1-.4 1-1V1c0-.6-.4-1-1-1z"/>
            </symbol>
            <symbol id="sico-log" viewBox="0 0 14 16">
                <path fill-rule="evenodd" d="M13 0H1C.4 0 0 .4 0 1v14c0 .6.4 1 1 1h12c.6 0 1-.4 1-1V1c0-.6-.4-1-1-1zM3 11h4v2H3v-2zm0-4h8v2H3V7zm0-4h8v2H3V3z"/>
            </symbol>
            <symbol id="sico-setting" viewBox="0 0 16 16">
                <path fill-rule="evenodd" d="M14 6h-4V4h4v2zm0 6h-2.3c-.3.6-1 1-1.7 1a2 2 0 01-2-2c0-1.1.9-2 2-2a2 2 0 011.7 1H14v2zM6 7a2 2 0 01-1.7-1H2V4h2.3c.3-.6 1-1 1.7-1a2 2 0 012 2 2 2 0 01-2 2zm0 5H2v-2h4v2zm8-12H2a2 2 0 00-2 2v12c0 1.1.9 2 2 2h12a2 2 0 002-2V2a2 2 0 00-2-2z"/>
            </symbol>
            <symbol id="sico-pro" viewBox="0 0 32 16">
                <g fill="none" fill-rule="evenodd">
                    <rect width="32" height="16" fill="#06C" rx="3"/>
                    <path fill="#FFF" fill-rule="nonzero" d="M8.2 12V8.8h1.1c1 0 1.8-.2 2.4-.8.7-.6 1-1.3 1-2.2 0-.8-.3-1.5-.8-2-.6-.5-1.3-.7-2.3-.7H7v9h1.2zm1-4.3h-1V4h1.2c1.3 0 2 .6 2 1.8 0 .6-.1 1-.5 1.4-.4.3-1 .5-1.6.5zm6.1 4.4V8.8c0-.7.2-1.2.5-1.6.3-.5.6-.7 1-.7l.9.2V5.6l-.6-.1c-.8 0-1.4.5-1.7 1.4V5.6h-1.2v6.5h1.1zm6 .1c1 0 1.8-.3 2.4-1 .6-.5 1-1.4 1-2.4s-.4-1.9-1-2.5a3 3 0 00-2.2-.9c-1 0-1.8.4-2.4 1-.6.6-1 1.4-1 2.5 0 1 .4 1.8 1 2.4a3 3 0 002.3 1zm.1-1a2 2 0 01-1.5-.6c-.4-.4-.6-1-.6-1.7 0-.8.2-1.4.6-1.8.4-.5.9-.7 1.5-.7.7 0 1.2.2 1.5.6.4.4.5 1 .5 1.8s-.1 1.4-.5 1.8c-.3.5-.8.7-1.5.7z"/>
                </g>
            </symbol>
        </defs>
    </svg>
</div>
